Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.32.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
233.32.0.0
Broadcast address
233.47.255.255
First usable
233.32.0.1
Last usable
233.47.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9200000 · Integer 3911188480 to 3912237055
Reverse DNS zones
32.233.in-addr.arpa
33.233.in-addr.arpa
34.233.in-addr.arpa
35.233.in-addr.arpa
36.233.in-addr.arpa
37.233.in-addr.arpa
38.233.in-addr.arpa
39.233.in-addr.arpa
40.233.in-addr.arpa
41.233.in-addr.arpa
42.233.in-addr.arpa
43.233.in-addr.arpa
44.233.in-addr.arpa
45.233.in-addr.arpa
46.233.in-addr.arpa
47.233.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.00100000.00000000.00000000233.32.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11101001.00100000.00000000.00000000233.32.0.0
Broadcast11101001.00101111.11111111.11111111233.47.255.255
Split into smaller subnets/24

233.32.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.32.0.0/24233.32.0.1 to 233.32.0.254233.32.0.255254
2233.32.1.0/24233.32.1.1 to 233.32.1.254233.32.1.255254
3233.32.2.0/24233.32.2.1 to 233.32.2.254233.32.2.255254
4233.32.3.0/24233.32.3.1 to 233.32.3.254233.32.3.255254
5233.32.4.0/24233.32.4.1 to 233.32.4.254233.32.4.255254
6233.32.5.0/24233.32.5.1 to 233.32.5.254233.32.5.255254
7233.32.6.0/24233.32.6.1 to 233.32.6.254233.32.6.255254
8233.32.7.0/24233.32.7.1 to 233.32.7.254233.32.7.255254
9233.32.8.0/24233.32.8.1 to 233.32.8.254233.32.8.255254
10233.32.9.0/24233.32.9.1 to 233.32.9.254233.32.9.255254
11233.32.10.0/24233.32.10.1 to 233.32.10.254233.32.10.255254
12233.32.11.0/24233.32.11.1 to 233.32.11.254233.32.11.255254
13233.32.12.0/24233.32.12.1 to 233.32.12.254233.32.12.255254
14233.32.13.0/24233.32.13.1 to 233.32.13.254233.32.13.255254
15233.32.14.0/24233.32.14.1 to 233.32.14.254233.32.14.255254
16233.32.15.0/24233.32.15.1 to 233.32.15.254233.32.15.255254
17233.32.16.0/24233.32.16.1 to 233.32.16.254233.32.16.255254
18233.32.17.0/24233.32.17.1 to 233.32.17.254233.32.17.255254
19233.32.18.0/24233.32.18.1 to 233.32.18.254233.32.18.255254
20233.32.19.0/24233.32.19.1 to 233.32.19.254233.32.19.255254
21233.32.20.0/24233.32.20.1 to 233.32.20.254233.32.20.255254
22233.32.21.0/24233.32.21.1 to 233.32.21.254233.32.21.255254
23233.32.22.0/24233.32.22.1 to 233.32.22.254233.32.22.255254
24233.32.23.0/24233.32.23.1 to 233.32.23.254233.32.23.255254
25233.32.24.0/24233.32.24.1 to 233.32.24.254233.32.24.255254
26233.32.25.0/24233.32.25.1 to 233.32.25.254233.32.25.255254
27233.32.26.0/24233.32.26.1 to 233.32.26.254233.32.26.255254
28233.32.27.0/24233.32.27.1 to 233.32.27.254233.32.27.255254
29233.32.28.0/24233.32.28.1 to 233.32.28.254233.32.28.255254
30233.32.29.0/24233.32.29.1 to 233.32.29.254233.32.29.255254
31233.32.30.0/24233.32.30.1 to 233.32.30.254233.32.30.255254
32233.32.31.0/24233.32.31.1 to 233.32.31.254233.32.31.255254
33233.32.32.0/24233.32.32.1 to 233.32.32.254233.32.32.255254
34233.32.33.0/24233.32.33.1 to 233.32.33.254233.32.33.255254
35233.32.34.0/24233.32.34.1 to 233.32.34.254233.32.34.255254
36233.32.35.0/24233.32.35.1 to 233.32.35.254233.32.35.255254
37233.32.36.0/24233.32.36.1 to 233.32.36.254233.32.36.255254
38233.32.37.0/24233.32.37.1 to 233.32.37.254233.32.37.255254
39233.32.38.0/24233.32.38.1 to 233.32.38.254233.32.38.255254
40233.32.39.0/24233.32.39.1 to 233.32.39.254233.32.39.255254
41233.32.40.0/24233.32.40.1 to 233.32.40.254233.32.40.255254
42233.32.41.0/24233.32.41.1 to 233.32.41.254233.32.41.255254
43233.32.42.0/24233.32.42.1 to 233.32.42.254233.32.42.255254
44233.32.43.0/24233.32.43.1 to 233.32.43.254233.32.43.255254
45233.32.44.0/24233.32.44.1 to 233.32.44.254233.32.44.255254
46233.32.45.0/24233.32.45.1 to 233.32.45.254233.32.45.255254
47233.32.46.0/24233.32.46.1 to 233.32.46.254233.32.46.255254
48233.32.47.0/24233.32.47.1 to 233.32.47.254233.32.47.255254
49233.32.48.0/24233.32.48.1 to 233.32.48.254233.32.48.255254
50233.32.49.0/24233.32.49.1 to 233.32.49.254233.32.49.255254
51233.32.50.0/24233.32.50.1 to 233.32.50.254233.32.50.255254
52233.32.51.0/24233.32.51.1 to 233.32.51.254233.32.51.255254
53233.32.52.0/24233.32.52.1 to 233.32.52.254233.32.52.255254
54233.32.53.0/24233.32.53.1 to 233.32.53.254233.32.53.255254
55233.32.54.0/24233.32.54.1 to 233.32.54.254233.32.54.255254
56233.32.55.0/24233.32.55.1 to 233.32.55.254233.32.55.255254
57233.32.56.0/24233.32.56.1 to 233.32.56.254233.32.56.255254
58233.32.57.0/24233.32.57.1 to 233.32.57.254233.32.57.255254
59233.32.58.0/24233.32.58.1 to 233.32.58.254233.32.58.255254
60233.32.59.0/24233.32.59.1 to 233.32.59.254233.32.59.255254
61233.32.60.0/24233.32.60.1 to 233.32.60.254233.32.60.255254
62233.32.61.0/24233.32.61.1 to 233.32.61.254233.32.61.255254
63233.32.62.0/24233.32.62.1 to 233.32.62.254233.32.62.255254
64233.32.63.0/24233.32.63.1 to 233.32.63.254233.32.63.255254
65233.32.64.0/24233.32.64.1 to 233.32.64.254233.32.64.255254
66233.32.65.0/24233.32.65.1 to 233.32.65.254233.32.65.255254
67233.32.66.0/24233.32.66.1 to 233.32.66.254233.32.66.255254
68233.32.67.0/24233.32.67.1 to 233.32.67.254233.32.67.255254
69233.32.68.0/24233.32.68.1 to 233.32.68.254233.32.68.255254
70233.32.69.0/24233.32.69.1 to 233.32.69.254233.32.69.255254
71233.32.70.0/24233.32.70.1 to 233.32.70.254233.32.70.255254
72233.32.71.0/24233.32.71.1 to 233.32.71.254233.32.71.255254
73233.32.72.0/24233.32.72.1 to 233.32.72.254233.32.72.255254
74233.32.73.0/24233.32.73.1 to 233.32.73.254233.32.73.255254
75233.32.74.0/24233.32.74.1 to 233.32.74.254233.32.74.255254
76233.32.75.0/24233.32.75.1 to 233.32.75.254233.32.75.255254
77233.32.76.0/24233.32.76.1 to 233.32.76.254233.32.76.255254
78233.32.77.0/24233.32.77.1 to 233.32.77.254233.32.77.255254
79233.32.78.0/24233.32.78.1 to 233.32.78.254233.32.78.255254
80233.32.79.0/24233.32.79.1 to 233.32.79.254233.32.79.255254
81233.32.80.0/24233.32.80.1 to 233.32.80.254233.32.80.255254
82233.32.81.0/24233.32.81.1 to 233.32.81.254233.32.81.255254
83233.32.82.0/24233.32.82.1 to 233.32.82.254233.32.82.255254
84233.32.83.0/24233.32.83.1 to 233.32.83.254233.32.83.255254
85233.32.84.0/24233.32.84.1 to 233.32.84.254233.32.84.255254
86233.32.85.0/24233.32.85.1 to 233.32.85.254233.32.85.255254
87233.32.86.0/24233.32.86.1 to 233.32.86.254233.32.86.255254
88233.32.87.0/24233.32.87.1 to 233.32.87.254233.32.87.255254
89233.32.88.0/24233.32.88.1 to 233.32.88.254233.32.88.255254
90233.32.89.0/24233.32.89.1 to 233.32.89.254233.32.89.255254
91233.32.90.0/24233.32.90.1 to 233.32.90.254233.32.90.255254
92233.32.91.0/24233.32.91.1 to 233.32.91.254233.32.91.255254
93233.32.92.0/24233.32.92.1 to 233.32.92.254233.32.92.255254
94233.32.93.0/24233.32.93.1 to 233.32.93.254233.32.93.255254
95233.32.94.0/24233.32.94.1 to 233.32.94.254233.32.94.255254
96233.32.95.0/24233.32.95.1 to 233.32.95.254233.32.95.255254
97233.32.96.0/24233.32.96.1 to 233.32.96.254233.32.96.255254
98233.32.97.0/24233.32.97.1 to 233.32.97.254233.32.97.255254
99233.32.98.0/24233.32.98.1 to 233.32.98.254233.32.98.255254
100233.32.99.0/24233.32.99.1 to 233.32.99.254233.32.99.255254
101233.32.100.0/24233.32.100.1 to 233.32.100.254233.32.100.255254
102233.32.101.0/24233.32.101.1 to 233.32.101.254233.32.101.255254
103233.32.102.0/24233.32.102.1 to 233.32.102.254233.32.102.255254
104233.32.103.0/24233.32.103.1 to 233.32.103.254233.32.103.255254
105233.32.104.0/24233.32.104.1 to 233.32.104.254233.32.104.255254
106233.32.105.0/24233.32.105.1 to 233.32.105.254233.32.105.255254
107233.32.106.0/24233.32.106.1 to 233.32.106.254233.32.106.255254
108233.32.107.0/24233.32.107.1 to 233.32.107.254233.32.107.255254
109233.32.108.0/24233.32.108.1 to 233.32.108.254233.32.108.255254
110233.32.109.0/24233.32.109.1 to 233.32.109.254233.32.109.255254
111233.32.110.0/24233.32.110.1 to 233.32.110.254233.32.110.255254
112233.32.111.0/24233.32.111.1 to 233.32.111.254233.32.111.255254
113233.32.112.0/24233.32.112.1 to 233.32.112.254233.32.112.255254
114233.32.113.0/24233.32.113.1 to 233.32.113.254233.32.113.255254
115233.32.114.0/24233.32.114.1 to 233.32.114.254233.32.114.255254
116233.32.115.0/24233.32.115.1 to 233.32.115.254233.32.115.255254
117233.32.116.0/24233.32.116.1 to 233.32.116.254233.32.116.255254
118233.32.117.0/24233.32.117.1 to 233.32.117.254233.32.117.255254
119233.32.118.0/24233.32.118.1 to 233.32.118.254233.32.118.255254
120233.32.119.0/24233.32.119.1 to 233.32.119.254233.32.119.255254
121233.32.120.0/24233.32.120.1 to 233.32.120.254233.32.120.255254
122233.32.121.0/24233.32.121.1 to 233.32.121.254233.32.121.255254
123233.32.122.0/24233.32.122.1 to 233.32.122.254233.32.122.255254
124233.32.123.0/24233.32.123.1 to 233.32.123.254233.32.123.255254
125233.32.124.0/24233.32.124.1 to 233.32.124.254233.32.124.255254
126233.32.125.0/24233.32.125.1 to 233.32.125.254233.32.125.255254
127233.32.126.0/24233.32.126.1 to 233.32.126.254233.32.126.255254
128233.32.127.0/24233.32.127.1 to 233.32.127.254233.32.127.255254
129233.32.128.0/24233.32.128.1 to 233.32.128.254233.32.128.255254
130233.32.129.0/24233.32.129.1 to 233.32.129.254233.32.129.255254
131233.32.130.0/24233.32.130.1 to 233.32.130.254233.32.130.255254
132233.32.131.0/24233.32.131.1 to 233.32.131.254233.32.131.255254
133233.32.132.0/24233.32.132.1 to 233.32.132.254233.32.132.255254
134233.32.133.0/24233.32.133.1 to 233.32.133.254233.32.133.255254
135233.32.134.0/24233.32.134.1 to 233.32.134.254233.32.134.255254
136233.32.135.0/24233.32.135.1 to 233.32.135.254233.32.135.255254
137233.32.136.0/24233.32.136.1 to 233.32.136.254233.32.136.255254
138233.32.137.0/24233.32.137.1 to 233.32.137.254233.32.137.255254
139233.32.138.0/24233.32.138.1 to 233.32.138.254233.32.138.255254
140233.32.139.0/24233.32.139.1 to 233.32.139.254233.32.139.255254
141233.32.140.0/24233.32.140.1 to 233.32.140.254233.32.140.255254
142233.32.141.0/24233.32.141.1 to 233.32.141.254233.32.141.255254
143233.32.142.0/24233.32.142.1 to 233.32.142.254233.32.142.255254
144233.32.143.0/24233.32.143.1 to 233.32.143.254233.32.143.255254
145233.32.144.0/24233.32.144.1 to 233.32.144.254233.32.144.255254
146233.32.145.0/24233.32.145.1 to 233.32.145.254233.32.145.255254
147233.32.146.0/24233.32.146.1 to 233.32.146.254233.32.146.255254
148233.32.147.0/24233.32.147.1 to 233.32.147.254233.32.147.255254
149233.32.148.0/24233.32.148.1 to 233.32.148.254233.32.148.255254
150233.32.149.0/24233.32.149.1 to 233.32.149.254233.32.149.255254
151233.32.150.0/24233.32.150.1 to 233.32.150.254233.32.150.255254
152233.32.151.0/24233.32.151.1 to 233.32.151.254233.32.151.255254
153233.32.152.0/24233.32.152.1 to 233.32.152.254233.32.152.255254
154233.32.153.0/24233.32.153.1 to 233.32.153.254233.32.153.255254
155233.32.154.0/24233.32.154.1 to 233.32.154.254233.32.154.255254
156233.32.155.0/24233.32.155.1 to 233.32.155.254233.32.155.255254
157233.32.156.0/24233.32.156.1 to 233.32.156.254233.32.156.255254
158233.32.157.0/24233.32.157.1 to 233.32.157.254233.32.157.255254
159233.32.158.0/24233.32.158.1 to 233.32.158.254233.32.158.255254
160233.32.159.0/24233.32.159.1 to 233.32.159.254233.32.159.255254
161233.32.160.0/24233.32.160.1 to 233.32.160.254233.32.160.255254
162233.32.161.0/24233.32.161.1 to 233.32.161.254233.32.161.255254
163233.32.162.0/24233.32.162.1 to 233.32.162.254233.32.162.255254
164233.32.163.0/24233.32.163.1 to 233.32.163.254233.32.163.255254
165233.32.164.0/24233.32.164.1 to 233.32.164.254233.32.164.255254
166233.32.165.0/24233.32.165.1 to 233.32.165.254233.32.165.255254
167233.32.166.0/24233.32.166.1 to 233.32.166.254233.32.166.255254
168233.32.167.0/24233.32.167.1 to 233.32.167.254233.32.167.255254
169233.32.168.0/24233.32.168.1 to 233.32.168.254233.32.168.255254
170233.32.169.0/24233.32.169.1 to 233.32.169.254233.32.169.255254
171233.32.170.0/24233.32.170.1 to 233.32.170.254233.32.170.255254
172233.32.171.0/24233.32.171.1 to 233.32.171.254233.32.171.255254
173233.32.172.0/24233.32.172.1 to 233.32.172.254233.32.172.255254
174233.32.173.0/24233.32.173.1 to 233.32.173.254233.32.173.255254
175233.32.174.0/24233.32.174.1 to 233.32.174.254233.32.174.255254
176233.32.175.0/24233.32.175.1 to 233.32.175.254233.32.175.255254
177233.32.176.0/24233.32.176.1 to 233.32.176.254233.32.176.255254
178233.32.177.0/24233.32.177.1 to 233.32.177.254233.32.177.255254
179233.32.178.0/24233.32.178.1 to 233.32.178.254233.32.178.255254
180233.32.179.0/24233.32.179.1 to 233.32.179.254233.32.179.255254
181233.32.180.0/24233.32.180.1 to 233.32.180.254233.32.180.255254
182233.32.181.0/24233.32.181.1 to 233.32.181.254233.32.181.255254
183233.32.182.0/24233.32.182.1 to 233.32.182.254233.32.182.255254
184233.32.183.0/24233.32.183.1 to 233.32.183.254233.32.183.255254
185233.32.184.0/24233.32.184.1 to 233.32.184.254233.32.184.255254
186233.32.185.0/24233.32.185.1 to 233.32.185.254233.32.185.255254
187233.32.186.0/24233.32.186.1 to 233.32.186.254233.32.186.255254
188233.32.187.0/24233.32.187.1 to 233.32.187.254233.32.187.255254
189233.32.188.0/24233.32.188.1 to 233.32.188.254233.32.188.255254
190233.32.189.0/24233.32.189.1 to 233.32.189.254233.32.189.255254
191233.32.190.0/24233.32.190.1 to 233.32.190.254233.32.190.255254
192233.32.191.0/24233.32.191.1 to 233.32.191.254233.32.191.255254
193233.32.192.0/24233.32.192.1 to 233.32.192.254233.32.192.255254
194233.32.193.0/24233.32.193.1 to 233.32.193.254233.32.193.255254
195233.32.194.0/24233.32.194.1 to 233.32.194.254233.32.194.255254
196233.32.195.0/24233.32.195.1 to 233.32.195.254233.32.195.255254
197233.32.196.0/24233.32.196.1 to 233.32.196.254233.32.196.255254
198233.32.197.0/24233.32.197.1 to 233.32.197.254233.32.197.255254
199233.32.198.0/24233.32.198.1 to 233.32.198.254233.32.198.255254
200233.32.199.0/24233.32.199.1 to 233.32.199.254233.32.199.255254
201233.32.200.0/24233.32.200.1 to 233.32.200.254233.32.200.255254
202233.32.201.0/24233.32.201.1 to 233.32.201.254233.32.201.255254
203233.32.202.0/24233.32.202.1 to 233.32.202.254233.32.202.255254
204233.32.203.0/24233.32.203.1 to 233.32.203.254233.32.203.255254
205233.32.204.0/24233.32.204.1 to 233.32.204.254233.32.204.255254
206233.32.205.0/24233.32.205.1 to 233.32.205.254233.32.205.255254
207233.32.206.0/24233.32.206.1 to 233.32.206.254233.32.206.255254
208233.32.207.0/24233.32.207.1 to 233.32.207.254233.32.207.255254
209233.32.208.0/24233.32.208.1 to 233.32.208.254233.32.208.255254
210233.32.209.0/24233.32.209.1 to 233.32.209.254233.32.209.255254
211233.32.210.0/24233.32.210.1 to 233.32.210.254233.32.210.255254
212233.32.211.0/24233.32.211.1 to 233.32.211.254233.32.211.255254
213233.32.212.0/24233.32.212.1 to 233.32.212.254233.32.212.255254
214233.32.213.0/24233.32.213.1 to 233.32.213.254233.32.213.255254
215233.32.214.0/24233.32.214.1 to 233.32.214.254233.32.214.255254
216233.32.215.0/24233.32.215.1 to 233.32.215.254233.32.215.255254
217233.32.216.0/24233.32.216.1 to 233.32.216.254233.32.216.255254
218233.32.217.0/24233.32.217.1 to 233.32.217.254233.32.217.255254
219233.32.218.0/24233.32.218.1 to 233.32.218.254233.32.218.255254
220233.32.219.0/24233.32.219.1 to 233.32.219.254233.32.219.255254
221233.32.220.0/24233.32.220.1 to 233.32.220.254233.32.220.255254
222233.32.221.0/24233.32.221.1 to 233.32.221.254233.32.221.255254
223233.32.222.0/24233.32.222.1 to 233.32.222.254233.32.222.255254
224233.32.223.0/24233.32.223.1 to 233.32.223.254233.32.223.255254
225233.32.224.0/24233.32.224.1 to 233.32.224.254233.32.224.255254
226233.32.225.0/24233.32.225.1 to 233.32.225.254233.32.225.255254
227233.32.226.0/24233.32.226.1 to 233.32.226.254233.32.226.255254
228233.32.227.0/24233.32.227.1 to 233.32.227.254233.32.227.255254
229233.32.228.0/24233.32.228.1 to 233.32.228.254233.32.228.255254
230233.32.229.0/24233.32.229.1 to 233.32.229.254233.32.229.255254
231233.32.230.0/24233.32.230.1 to 233.32.230.254233.32.230.255254
232233.32.231.0/24233.32.231.1 to 233.32.231.254233.32.231.255254
233233.32.232.0/24233.32.232.1 to 233.32.232.254233.32.232.255254
234233.32.233.0/24233.32.233.1 to 233.32.233.254233.32.233.255254
235233.32.234.0/24233.32.234.1 to 233.32.234.254233.32.234.255254
236233.32.235.0/24233.32.235.1 to 233.32.235.254233.32.235.255254
237233.32.236.0/24233.32.236.1 to 233.32.236.254233.32.236.255254
238233.32.237.0/24233.32.237.1 to 233.32.237.254233.32.237.255254
239233.32.238.0/24233.32.238.1 to 233.32.238.254233.32.238.255254
240233.32.239.0/24233.32.239.1 to 233.32.239.254233.32.239.255254
241233.32.240.0/24233.32.240.1 to 233.32.240.254233.32.240.255254
242233.32.241.0/24233.32.241.1 to 233.32.241.254233.32.241.255254
243233.32.242.0/24233.32.242.1 to 233.32.242.254233.32.242.255254
244233.32.243.0/24233.32.243.1 to 233.32.243.254233.32.243.255254
245233.32.244.0/24233.32.244.1 to 233.32.244.254233.32.244.255254
246233.32.245.0/24233.32.245.1 to 233.32.245.254233.32.245.255254
247233.32.246.0/24233.32.246.1 to 233.32.246.254233.32.246.255254
248233.32.247.0/24233.32.247.1 to 233.32.247.254233.32.247.255254
249233.32.248.0/24233.32.248.1 to 233.32.248.254233.32.248.255254
250233.32.249.0/24233.32.249.1 to 233.32.249.254233.32.249.255254
251233.32.250.0/24233.32.250.1 to 233.32.250.254233.32.250.255254
252233.32.251.0/24233.32.251.1 to 233.32.251.254233.32.251.255254
253233.32.252.0/24233.32.252.1 to 233.32.252.254233.32.252.255254
254233.32.253.0/24233.32.253.1 to 233.32.253.254233.32.253.255254
255233.32.254.0/24233.32.254.1 to 233.32.254.254233.32.254.255254
256233.32.255.0/24233.32.255.1 to 233.32.255.254233.32.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses